pip install pyTelegramBotAPI

Языки программирования, IDE, компиляторы, интерпретаторы, гипервизоры и виртуальные среды
Правила форума
Как правильно задавать вопросы Правильно сформулированный вопрос и его грамотное оформление способствует высокой вероятности получения достаточно содержательного и по существу ответа. Общая рекомендация по составлению тем: 1. Версия ОС вместе с разрядностью. Пример: LM 18.1 x64, LM Sarah x32 2. DE. Если вопрос касается двух, то через запятую. (xfce, KDE, cinnamon, mate) 3. Какое железо. (достаточно вывод inxi -Fxz в спойлере (как пользоваться спойлером смотрим здесь)) или же дать ссылку на hw-probe 4. Суть. Желательно с выводом консоли, логами. 5. Скрин. Просьба указывать 1, 2 и 3 независимо от того, имеет ли это отношение к вопросу или нет. Так же не забываем об общих правилах Как пример вот
Аватара пользователя

Chocobo
Сообщения: 9249
Зарегистрирован: 27 авг 2016, 19:57
Решено: 200
Откуда: НН
Благодарил (а): 644 раза
Поблагодарили: 2658 раз

pip install pyTelegramBotAPI

Сообщение Chocobo » 18 фев 2018, 00:14

После установки requests - все встает норм:

Код: Выделить всё

~/Загрузки                                                                     
▶ cd pyTelegramBotAPI-master 

~/Загрузки/pyTelegramBotAPI-master                                             
▶ sudo python setup.py install                 
running install
running bdist_egg
running egg_info
creating pyTelegramBotAPI.egg-info
writing requirements to pyTelegramBotAPI.egg-info/requires.txt
writing pyTelegramBotAPI.egg-info/PKG-INFO
writing top-level names to pyTelegramBotAPI.egg-info/top_level.txt
writing dependency_links to pyTelegramBotAPI.egg-info/dependency_links.txt
writing manifest file 'pyTelegramBotAPI.egg-info/SOURCES.txt'
reading manifest file 'pyTelegramBotAPI.egg-info/SOURCES.txt'
writing manifest file 'pyTelegramBotAPI.egg-info/SOURCES.txt'
installing library code to build/bdist.linux-x86_64/egg
running install_lib
running build_py
creating build
creating build/lib.linux-x86_64-2.7
creating build/lib.linux-x86_64-2.7/telebot
copying telebot/__init__.py -> build/lib.linux-x86_64-2.7/telebot
copying telebot/apihelper.py -> build/lib.linux-x86_64-2.7/telebot
copying telebot/types.py -> build/lib.linux-x86_64-2.7/telebot
copying telebot/util.py -> build/lib.linux-x86_64-2.7/telebot
creating build/bdist.linux-x86_64
creating build/bdist.linux-x86_64/egg
creating build/bdist.linux-x86_64/egg/telebot
copying build/lib.linux-x86_64-2.7/telebot/__init__.py -> build/bdist.linux-x86_64/egg/telebot
copying build/lib.linux-x86_64-2.7/telebot/apihelper.py -> build/bdist.linux-x86_64/egg/telebot
copying build/lib.linux-x86_64-2.7/telebot/types.py -> build/bdist.linux-x86_64/egg/telebot
copying build/lib.linux-x86_64-2.7/telebot/util.py -> build/bdist.linux-x86_64/egg/telebot
byte-compiling build/bdist.linux-x86_64/egg/telebot/__init__.py to __init__.pyc
byte-compiling build/bdist.linux-x86_64/egg/telebot/apihelper.py to apihelper.pyc
byte-compiling build/bdist.linux-x86_64/egg/telebot/types.py to types.pyc
byte-compiling build/bdist.linux-x86_64/egg/telebot/util.py to util.pyc
creating build/bdist.linux-x86_64/egg/EGG-INFO
copying pyTelegramBotAPI.egg-info/PKG-INFO -> build/bdist.linux-x86_64/egg/EGG-INFO
copying pyTelegramBotAPI.egg-info/SOURCES.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying pyTelegramBotAPI.egg-info/dependency_links.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying pyTelegramBotAPI.egg-info/requires.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
copying pyTelegramBotAPI.egg-info/top_level.txt -> build/bdist.linux-x86_64/egg/EGG-INFO
zip_safe flag not set; analyzing archive contents...
creating dist
creating 'dist/pyTelegramBotAPI-3.5.2-py2.7.egg' and adding 'build/bdist.linux-x86_64/egg' to it
removing 'build/bdist.linux-x86_64/egg' (and everything under it)
Processing pyTelegramBotAPI-3.5.2-py2.7.egg
Copying pyTelegramBotAPI-3.5.2-py2.7.egg to /usr/local/lib/python2.7/dist-packages
Adding pyTelegramBotAPI 3.5.2 to easy-install.pth file

Installed /usr/local/lib/python2.7/dist-packages/pyTelegramBotAPI-3.5.2-py2.7.egg
Processing dependencies for pyTelegramBotAPI==3.5.2
Searching for six==1.10.0
Best match: six 1.10.0
Adding six 1.10.0 to easy-install.pth file

Using /usr/lib/python2.7/dist-packages
Searching for requests==2.18.4
Best match: requests 2.18.4
Processing requests-2.18.4-py2.7.egg
requests 2.18.4 is already the active version in easy-install.pth

Using /usr/local/lib/python2.7/dist-packages/requests-2.18.4-py2.7.egg
Searching for certifi==2018.1.18
Best match: certifi 2018.1.18
Processing certifi-2018.1.18-py2.7.egg
certifi 2018.1.18 is already the active version in easy-install.pth

Using /usr/local/lib/python2.7/dist-packages/certifi-2018.1.18-py2.7.egg
Searching for urllib3==1.22
Best match: urllib3 1.22
Processing urllib3-1.22-py2.7.egg
urllib3 1.22 is already the active version in easy-install.pth

Using /usr/local/lib/python2.7/dist-packages/urllib3-1.22-py2.7.egg
Searching for idna==2.6
Best match: idna 2.6
Processing idna-2.6-py2.7.egg
idna 2.6 is already the active version in easy-install.pth

Using /usr/local/lib/python2.7/dist-packages/idna-2.6-py2.7.egg
Searching for chardet==3.0.4
Best match: chardet 3.0.4
Processing chardet-3.0.4-py2.7.egg
chardet 3.0.4 is already the active version in easy-install.pth
Installing chardetect script to /usr/local/bin

Using /usr/local/lib/python2.7/dist-packages/chardet-3.0.4-py2.7.egg
Finished processing dependencies for pyTelegramBotAPI==3.5.2
Finished processing dependencies for pyTelegramBotAPI==3.5.2
Изображение
   
Изображение


Автор темы
GasMan
Сообщения: 27
Зарегистрирован: 12 окт 2017, 18:56
Благодарил (а): 1 раз

pip install pyTelegramBotAPI

Сообщение GasMan » 18 фев 2018, 08:32

Chocobo, да вот такая же проблема, вчера пытался.
У вас нет необходимых прав для просмотра вложений в этом сообщении.

Аватара пользователя

Chocobo
Сообщения: 9249
Зарегистрирован: 27 авг 2016, 19:57
Решено: 200
Откуда: НН
Благодарил (а): 644 раза
Поблагодарили: 2658 раз

pip install pyTelegramBotAPI

Сообщение Chocobo » 18 фев 2018, 09:07

GasMan, ну фиг же с ним с пипом, раз бунтует)

Код: Выделить всё

wget https://pypi.python.org/packages/b0/e1/eab4fc3752e3d240468a8c0b284607899d2fbfb236a56b7377a329aa8d09/requests-2.18.4.tar.gz
tar -xzvf requests-2.18.4.tar.gz
cd requests-2.18.4
sudo python setup.py install
Изображение
   
Изображение


Автор темы
GasMan
Сообщения: 27
Зарегистрирован: 12 окт 2017, 18:56
Благодарил (а): 1 раз

pip install pyTelegramBotAPI

Сообщение GasMan » 18 фев 2018, 09:13

Chocobo, тоже самое , что присылал ранее, мб requests устанавливается на питон 2.7, а апи на 3.5? но как решить эту проблему я не знаю

Аватара пользователя

Chocobo
Сообщения: 9249
Зарегистрирован: 27 авг 2016, 19:57
Решено: 200
Откуда: НН
Благодарил (а): 644 раза
Поблагодарили: 2658 раз

pip install pyTelegramBotAPI

Сообщение Chocobo » 18 фев 2018, 09:23

У тебя вызов python - какой запускает, 2 или 3? В выхлопах тоже видно пути куда он их складывает.
Плюс вызвав интерпретатор - можно импортнуть модуль для проверки его наличия.
Снимок экрана в 2018-02-18 12-17-03.png
У вас нет необходимых прав для просмотра вложений в этом сообщении.
Изображение
   
Изображение


Автор темы
GasMan
Сообщения: 27
Зарегистрирован: 12 окт 2017, 18:56
Благодарил (а): 1 раз

pip install pyTelegramBotAPI

Сообщение GasMan » 18 фев 2018, 09:50

Chocobo, 2
ревест кст тоже ошибку выдал, когда начал копаться в нем Download error on https://pypi.python.org/simple/: unknown error (_ssl.c:2831) -- Some packages may not be found!
No local packages or working download links found for certifi>=2017.4.17
error: Could not find suitable distribution for Requirement.parse('certifi>=2017.4.17')
У вас нет необходимых прав для просмотра вложений в этом сообщении.


Автор темы
GasMan
Сообщения: 27
Зарегистрирован: 12 окт 2017, 18:56
Благодарил (а): 1 раз

pip install pyTelegramBotAPI

Сообщение GasMan » 18 фев 2018, 17:37

А может попробовать снести все что с питоном связано и установить заново? Если это нормальная идея, то как это можно сделать?)


Автор темы
GasMan
Сообщения: 27
Зарегистрирован: 12 окт 2017, 18:56
Благодарил (а): 1 раз

pip install pyTelegramBotAPI

Сообщение GasMan » 18 фев 2018, 19:04

(you can run pip freeze to see all libraries installed via pip)- получается, что этот пакет установлен уже через pip?
У вас нет необходимых прав для просмотра вложений в этом сообщении.


Автор темы
GasMan
Сообщения: 27
Зарегистрирован: 12 окт 2017, 18:56
Благодарил (а): 1 раз

pip install pyTelegramBotAPI

Сообщение GasMan » 18 фев 2018, 20:23

Chocobo, Фух, все установилось, до реквеста было добраться крайне тяжело без pip, пришлось 7 модулей попутно устанавливать, чтобы установить реквест)

Аватара пользователя

Chocobo
Сообщения: 9249
Зарегистрирован: 27 авг 2016, 19:57
Решено: 200
Откуда: НН
Благодарил (а): 644 раза
Поблагодарили: 2658 раз

pip install pyTelegramBotAPI

Сообщение Chocobo » 19 фев 2018, 07:48

GasMan, Неясно че он у тебя взбунтовался pip сам,
но зато порцию практики по деплою питонячьих модулей - норм получил, может пригодится еще :thumbs:
Изображение
   
Изображение

Вернуться в «Программирование, скриптинг, виртуализация»